Retrieve a Job by Short ID
Retrieve a specific job using its human-readable short ID.
This endpoint allows you to retrieve a specific job by its short_id — the human-readable identifier (for example, 7GRK4ERKFLL) shown on the job. Use this when you have a job's short ID rather than its id (GUID). To retrieve a job by its id, see the Job Resource page.
Note the literal getByShortId: prefix in the path, followed by the short ID.
Endpoint
| Method | Url |
|---|---|
GET | /v1.0/jobs/getByShortId:{short_id} |
Path Parameters
short_id
•
string
required
The short ID of the job to retrieve.
Sample Request
bashCopied1curl -X GET 'https://api.worklayer.com/v1.0/jobs/getByShortId:7GRK4ERKFLL' \2-H 'Authorization: Bearer {token}'
Response
An instance of the job resource.
Sample Response
jsonCopied1{2 "id": "a9749189-c82b-488b-a448-8f74c3d254e0",3 "short_id": "7GRK4ERKFLL",4 "name": null,5 "description": "Tony Stark | 2021 | 1040",6 "workspace_id": "91",7 "status": "CLAIMED",8 "create_time": "2021-06-08T17:38:41.818Z",9 "update_time": "2022-05-18T18:35:30.136Z",10 "transmit_time": "2022-05-18T18:35:29.131Z",11 "deadline_time": null,12 "total_amount": 199,13 "members": [14 // members omitted here for brevity15 ]16}
Errors
Forbidden: API client does not have permission to view this job.Unauthorized: API client does not have valid credentials.NotFound: No job with the specified short ID was found in the workspace.BadRequest: The short ID provided is not in a valid format.
Last updated on June 23, 2026
Privacy PolicyTerms & Conditions© 2026 Taxfyle